Package oasis.names.tc.saml._1_0.protocol

# Class AttributeQuery

java.lang.Object
oasis.names.tc.saml._1_0.protocol.QueryAbstractType
oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType
oasis.names.tc.saml._1_0.protocol.AttributeQuery

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class AttributeQuery extends SubjectQueryAbstractType implements Serializable

Java class for AttributeQueryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttributeQueryType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:protocol}SubjectQueryAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AttributeDesignator" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Resource" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AttributeDesignatorType>`
  `getAttributeDesignators()`
  Gets the value of the attributeDesignators property.
  `String`
  `getResource()`
  Gets the value of the resource property.
  `void`
  `setResource(String value)`
  Sets the value of the resource property.

  ### Methods inherited from class oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType

  `getSubject, setSubject`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttributeQuery

    public AttributeQuery()

- ## Method Details

  - ### getAttributeDesignators

    public List<AttributeDesignatorType> getAttributeDesignators()
    Gets the value of the attributeDesignators property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeDesignators property.

    For example, to add a new item, do as follows:

         getAttributeDesignators().add(newItem);

    Objects of the following type(s) are allowed in the list `AttributeDesignatorType`

    Returns:
      The value of the attributeDesignators property.

  - ### getResource

    public String getResource()
    Gets the value of the resource property.
    Returns:
      possible object is `String`

  - ### setResource

    public void setResource(String value)
    Sets the value of the resource property.
    Parameters:
      `value` - allowed object is `String`